--
-- main
--
-- Author: coolfarmer
-- Description:  Main script to handle all sources for Increased Unloading Time.
-- Name: main
--
-- Copyright (c) Coolfarmer, 2021

---@type string directory of the mod.
local modDirectory = g_currentModDirectory or ""
---@type string name of the mod.
local modName = g_currentModName or "unknown"

source(modDirectory .. "src/IncreasedUnloadingTime.lua")

local function initSpecialization(typeManager)
    if typeManager.typeName == "vehicle" then
        IncreasedUnloadingTime.installSpecializations(g_vehicleTypeManager, g_specializationManager, modDirectory, modName)
    end
end

local function init()
    TypeManager.validateTypes = Utils.prependedFunction(TypeManager.validateTypes, initSpecialization)
end

init()
